<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: GPIO Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">GPIO Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../de/d97/group___n_a_n_o1_x2___g_p_i_o___driver.html">GPIO Driver</a> &raquo; <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">GPIO Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for GPIO Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad0_2d47_2group______n__a__n__o1__x2______g__p__i__o______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga23fa7d30838af4e7a8de44bb35be6dd3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23fa7d30838af4e7a8de44bb35be6dd3">GPIO_CLR_INT_FLAG</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;ISRC = u32PinMask)</td></tr>
<tr class="memdesc:ga23fa7d30838af4e7a8de44bb35be6dd3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear GPIO Pin Interrupt Flag.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23fa7d30838af4e7a8de44bb35be6dd3">More...</a><br /></td></tr>
<tr class="separator:ga23fa7d30838af4e7a8de44bb35be6dd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7256010ba4e37ff39116f81362380320"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7256010ba4e37ff39116f81362380320">GPIO_DISABLE_DEBOUNCE</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DBEN &amp;= ~u32PinMask)</td></tr>
<tr class="memdesc:ga7256010ba4e37ff39116f81362380320"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Pin De-bounce Function.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7256010ba4e37ff39116f81362380320">More...</a><br /></td></tr>
<tr class="separator:ga7256010ba4e37ff39116f81362380320"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa54243397fb256e334b539f88b909368"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa54243397fb256e334b539f88b909368">GPIO_ENABLE_DEBOUNCE</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DBEN |= u32PinMask)</td></tr>
<tr class="memdesc:gaa54243397fb256e334b539f88b909368"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Pin De-bounce Function.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa54243397fb256e334b539f88b909368">More...</a><br /></td></tr>
<tr class="separator:gaa54243397fb256e334b539f88b909368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c55a617441ab37ad3cfcc48b76750c7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c55a617441ab37ad3cfcc48b76750c7">GPIO_DISABLE_DIGITAL_PATH</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;OFFD |= (u32PinMask &lt;&lt; 16))</td></tr>
<tr class="memdesc:ga0c55a617441ab37ad3cfcc48b76750c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable I/O Digital Input Path.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c55a617441ab37ad3cfcc48b76750c7">More...</a><br /></td></tr>
<tr class="separator:ga0c55a617441ab37ad3cfcc48b76750c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6646dfe12cd282e794d9014ae2e4e288"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6646dfe12cd282e794d9014ae2e4e288">GPIO_ENABLE_DIGITAL_PATH</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;OFFD &amp;= ~(u32PinMask &lt;&lt; 16))</td></tr>
<tr class="memdesc:ga6646dfe12cd282e794d9014ae2e4e288"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable I/O Digital Input Path.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6646dfe12cd282e794d9014ae2e4e288">More...</a><br /></td></tr>
<tr class="separator:ga6646dfe12cd282e794d9014ae2e4e288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8669eac8b3df39a965716a1f5cf6484b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8669eac8b3df39a965716a1f5cf6484b">GPIO_DISABLE_DOUT_MASK</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DMASK &amp;= ~u32PinMask)</td></tr>
<tr class="memdesc:ga8669eac8b3df39a965716a1f5cf6484b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable I/O DOUT mask.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8669eac8b3df39a965716a1f5cf6484b">More...</a><br /></td></tr>
<tr class="separator:ga8669eac8b3df39a965716a1f5cf6484b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55907a319de4957e7f795d0acb32b7fc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55907a319de4957e7f795d0acb32b7fc">GPIO_ENABLE_DOUT_MASK</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DMASK |= u32PinMask)</td></tr>
<tr class="memdesc:ga55907a319de4957e7f795d0acb32b7fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable I/O DOUT mask.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55907a319de4957e7f795d0acb32b7fc">More...</a><br /></td></tr>
<tr class="separator:ga55907a319de4957e7f795d0acb32b7fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga109372c88c155995a0f917b75d33e6d3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga109372c88c155995a0f917b75d33e6d3">GPIO_GET_INT_FLAG</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;ISRC &amp; u32PinMask)</td></tr>
<tr class="memdesc:ga109372c88c155995a0f917b75d33e6d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get GPIO Pin Interrupt Flag.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga109372c88c155995a0f917b75d33e6d3">More...</a><br /></td></tr>
<tr class="separator:ga109372c88c155995a0f917b75d33e6d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacce6e14f1bc0290d3869489b85c762aa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacce6e14f1bc0290d3869489b85c762aa">GPIO_SET_DEBOUNCE_TIME</a>(u32ClkSrc,  u32ClkSel)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1037b18e2d226fe7d327d4a6f17a21c1">GPIO</a>-&gt;DBNCECON = (<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8a75e3d587ac331eb25a4194a429c9a9">GP_DBNCECON_DBCLK_ON_Msk</a> | u32ClkSrc | u32ClkSel))</td></tr>
<tr class="memdesc:gacce6e14f1bc0290d3869489b85c762aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set De-bounce Sampling Cycle Time.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacce6e14f1bc0290d3869489b85c762aa">More...</a><br /></td></tr>
<tr class="separator:gacce6e14f1bc0290d3869489b85c762aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga999217028415ac36f6ce605533c85cad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga999217028415ac36f6ce605533c85cad">GPIO_GET_IN_DATA</a>(gpio)&#160;&#160;&#160;((gpio)-&gt;PIN)</td></tr>
<tr class="memdesc:ga999217028415ac36f6ce605533c85cad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get GPIO Port IN Data.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga999217028415ac36f6ce605533c85cad">More...</a><br /></td></tr>
<tr class="separator:ga999217028415ac36f6ce605533c85cad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga965ebd6cde409110aa9e1652ce12e78c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga965ebd6cde409110aa9e1652ce12e78c">GPIO_SET_OUT_DATA</a>(gpio,  u32Data)&#160;&#160;&#160;((gpio)-&gt;DOUT = (u32Data))</td></tr>
<tr class="memdesc:ga965ebd6cde409110aa9e1652ce12e78c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set GPIO Port OUT Data.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga965ebd6cde409110aa9e1652ce12e78c">More...</a><br /></td></tr>
<tr class="separator:ga965ebd6cde409110aa9e1652ce12e78c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa6d743dfa74335513ff6b5d83af279c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaa6d743dfa74335513ff6b5d83af279c">GPIO_DISABLE_PULL_UP</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;PUEN &amp;= ~u32PinMask)</td></tr>
<tr class="memdesc:gaaa6d743dfa74335513ff6b5d83af279c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Pin Pull-up resistor Function.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaa6d743dfa74335513ff6b5d83af279c">More...</a><br /></td></tr>
<tr class="separator:gaaa6d743dfa74335513ff6b5d83af279c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga12d254f4b5b557d137dee14c395fa012"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga12d254f4b5b557d137dee14c395fa012">GPIO_ENABLE_PULL_UP</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;PUEN |= u32PinMask)</td></tr>
<tr class="memdesc:ga12d254f4b5b557d137dee14c395fa012"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Pin Pull-up resistor Function.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga12d254f4b5b557d137dee14c395fa012">More...</a><br /></td></tr>
<tr class="separator:ga12d254f4b5b557d137dee14c395fa012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21894d4e8915c4972879d998965e3f35"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21894d4e8915c4972879d998965e3f35">GPIO_TOGGLE</a>(u32Pin)&#160;&#160;&#160;((u32Pin) ^= 1)</td></tr>
<tr class="memdesc:ga21894d4e8915c4972879d998965e3f35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle Specified GPIO pin.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21894d4e8915c4972879d998965e3f35">More...</a><br /></td></tr>
<tr class="separator:ga21894d4e8915c4972879d998965e3f35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga851e08641f159b726e3d2fa7e4b526d1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga851e08641f159b726e3d2fa7e4b526d1">GPIO_EnableEINT0</a>&#160;&#160;&#160;<a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td></tr>
<tr class="memdesc:ga851e08641f159b726e3d2fa7e4b526d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable External GPIO interrupt 0.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga851e08641f159b726e3d2fa7e4b526d1">More...</a><br /></td></tr>
<tr class="separator:ga851e08641f159b726e3d2fa7e4b526d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa08979f1765ac4fb8d9645195908c7b1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa08979f1765ac4fb8d9645195908c7b1">GPIO_DisableEINT0</a>&#160;&#160;&#160;<a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td></tr>
<tr class="memdesc:gaa08979f1765ac4fb8d9645195908c7b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable External GPIO interrupt 0.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa08979f1765ac4fb8d9645195908c7b1">More...</a><br /></td></tr>
<tr class="separator:gaa08979f1765ac4fb8d9645195908c7b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">GPIO_EnableEINT1</a>&#160;&#160;&#160;<a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td></tr>
<tr class="memdesc:ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable External GPIO interrupt 1.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">More...</a><br /></td></tr>
<tr class="separator:ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga77faa5872ca2babb523c15d199e1e484"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga77faa5872ca2babb523c15d199e1e484">GPIO_DisableEINT1</a>&#160;&#160;&#160;<a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td></tr>
<tr class="memdesc:ga77faa5872ca2babb523c15d199e1e484"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable External GPIO interrupt 1.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga77faa5872ca2babb523c15d199e1e484">More...</a><br /></td></tr>
<tr class="separator:ga77faa5872ca2babb523c15d199e1e484"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a> (<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32PinMask, uint32_t u32Mode)</td></tr>
<tr class="memdesc:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set GPIO operation mode.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">More...</a><br /></td></tr>
<tr class="separator:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec751ab5c00bcad980d782816df53cbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a> (<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin, uint32_t u32IntAttribs)</td></tr>
<tr class="memdesc:gaec751ab5c00bcad980d782816df53cbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable GPIO interrupt.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">More...</a><br /></td></tr>
<tr class="separator:gaec751ab5c00bcad980d782816df53cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga675532237c47dd6f69f325e27fd2e7e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a> (<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin)</td></tr>
<tr class="memdesc:ga675532237c47dd6f69f325e27fd2e7e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable GPIO interrupt.  <a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">More...</a><br /></td></tr>
<tr class="separator:ga675532237c47dd6f69f325e27fd2e7e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga23fa7d30838af4e7a8de44bb35be6dd3" name="ga23fa7d30838af4e7a8de44bb35be6dd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga23fa7d30838af4e7a8de44bb35be6dd3">&#9670;&nbsp;</a></span>GPIO_CLR_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_CLR_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;ISRC = u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear GPIO Pin Interrupt Flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Clear the interrupt status of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00199">199</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga7256010ba4e37ff39116f81362380320" name="ga7256010ba4e37ff39116f81362380320"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7256010ba4e37ff39116f81362380320">&#9670;&nbsp;</a></span>GPIO_DISABLE_DEBOUNCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DISABLE_DEBOUNCE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DBEN &amp;= ~u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Pin De-bounce Function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Disable the interrupt de-bounce function of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00211">211</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga0c55a617441ab37ad3cfcc48b76750c7" name="ga0c55a617441ab37ad3cfcc48b76750c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0c55a617441ab37ad3cfcc48b76750c7">&#9670;&nbsp;</a></span>GPIO_DISABLE_DIGITAL_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DISABLE_DIGITAL_PATH</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;OFFD |= (u32PinMask &lt;&lt; 16))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable I/O Digital Input Path. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Disable I/O digital input path of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00235">235</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga8669eac8b3df39a965716a1f5cf6484b" name="ga8669eac8b3df39a965716a1f5cf6484b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8669eac8b3df39a965716a1f5cf6484b">&#9670;&nbsp;</a></span>GPIO_DISABLE_DOUT_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DISABLE_DOUT_MASK</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DMASK &amp;= ~u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable I/O DOUT mask. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Disable I/O DOUT mask of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00259">259</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="gaaa6d743dfa74335513ff6b5d83af279c" name="gaaa6d743dfa74335513ff6b5d83af279c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaaa6d743dfa74335513ff6b5d83af279c">&#9670;&nbsp;</a></span>GPIO_DISABLE_PULL_UP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DISABLE_PULL_UP</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;PUEN &amp;= ~u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Pin Pull-up resistor Function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Disable the Pull-up resistor function of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00339">339</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="gaa08979f1765ac4fb8d9645195908c7b1" name="gaa08979f1765ac4fb8d9645195908c7b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa08979f1765ac4fb8d9645195908c7b1">&#9670;&nbsp;</a></span>GPIO_DisableEINT0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DisableEINT0&#160;&#160;&#160;<a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable External GPIO interrupt 0. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. It could be 0 ~ 15</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00389">389</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga77faa5872ca2babb523c15d199e1e484" name="ga77faa5872ca2babb523c15d199e1e484"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga77faa5872ca2babb523c15d199e1e484">&#9670;&nbsp;</a></span>GPIO_DisableEINT1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DisableEINT1&#160;&#160;&#160;<a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable External GPIO interrupt 1. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. It could be 0 ~ 15</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00417">417</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="gaa54243397fb256e334b539f88b909368" name="gaa54243397fb256e334b539f88b909368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa54243397fb256e334b539f88b909368">&#9670;&nbsp;</a></span>GPIO_ENABLE_DEBOUNCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_ENABLE_DEBOUNCE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DBEN |= u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Pin De-bounce Function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Enable the interrupt de-bounce function of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00223">223</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga6646dfe12cd282e794d9014ae2e4e288" name="ga6646dfe12cd282e794d9014ae2e4e288"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6646dfe12cd282e794d9014ae2e4e288">&#9670;&nbsp;</a></span>GPIO_ENABLE_DIGITAL_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_ENABLE_DIGITAL_PATH</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;OFFD &amp;= ~(u32PinMask &lt;&lt; 16))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable I/O Digital Input Path. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Enable I/O digital input path of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00247">247</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga55907a319de4957e7f795d0acb32b7fc" name="ga55907a319de4957e7f795d0acb32b7fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga55907a319de4957e7f795d0acb32b7fc">&#9670;&nbsp;</a></span>GPIO_ENABLE_DOUT_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_ENABLE_DOUT_MASK</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DMASK |= u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable I/O DOUT mask. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Enable I/O DOUT mask of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00271">271</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga12d254f4b5b557d137dee14c395fa012" name="ga12d254f4b5b557d137dee14c395fa012"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga12d254f4b5b557d137dee14c395fa012">&#9670;&nbsp;</a></span>GPIO_ENABLE_PULL_UP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_ENABLE_PULL_UP</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;PUEN |= u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Pin Pull-up resistor Function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Enable the Pull-up resistor function of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00351">351</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga851e08641f159b726e3d2fa7e4b526d1" name="ga851e08641f159b726e3d2fa7e4b526d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga851e08641f159b726e3d2fa7e4b526d1">&#9670;&nbsp;</a></span>GPIO_EnableEINT0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_EnableEINT0&#160;&#160;&#160;<a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable External GPIO interrupt 0. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32IntAttribs</td><td>The interrupt attribute of specified GPIO pin. It could be <br  />
 <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5791d8505fbdc44f396d3fc28b6e4da">GPIO_INT_RISING</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d98bc44ec5133557802867a115d7072">GPIO_INT_FALLING</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5ffe006072684a30050871e0f4fb5e6">GPIO_INT_BOTH_EDGE</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80cfa2205ca60d3427bed52f9f43975">GPIO_INT_HIGH</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c01afe7764ed035acb9aab07add5f5a">GPIO_INT_LOW</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00376">376</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga2ae3cf2bb3e70c18761f85c0fa5b4ce7" name="ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">&#9670;&nbsp;</a></span>GPIO_EnableEINT1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_EnableEINT1&#160;&#160;&#160;<a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable External GPIO interrupt 1. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32IntAttribs</td><td>The interrupt attribute of specified GPIO pin. It could be <br  />
 <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5791d8505fbdc44f396d3fc28b6e4da">GPIO_INT_RISING</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d98bc44ec5133557802867a115d7072">GPIO_INT_FALLING</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5ffe006072684a30050871e0f4fb5e6">GPIO_INT_BOTH_EDGE</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80cfa2205ca60d3427bed52f9f43975">GPIO_INT_HIGH</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c01afe7764ed035acb9aab07add5f5a">GPIO_INT_LOW</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00404">404</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga999217028415ac36f6ce605533c85cad" name="ga999217028415ac36f6ce605533c85cad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga999217028415ac36f6ce605533c85cad">&#9670;&nbsp;</a></span>GPIO_GET_IN_DATA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_GET_IN_DATA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio</td><td>)</td>
          <td>&#160;&#160;&#160;((gpio)-&gt;PIN)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get GPIO Port IN Data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">The</td><td>specified port data</td></tr>
  </table>
  </dd>
</dl>
<p>Get the PIN register of specified GPIO port. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00315">315</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga109372c88c155995a0f917b75d33e6d3" name="ga109372c88c155995a0f917b75d33e6d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga109372c88c155995a0f917b75d33e6d3">&#9670;&nbsp;</a></span>GPIO_GET_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_GET_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;ISRC &amp; u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get GPIO Pin Interrupt Flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>No interrupt at specified GPIO pin </td></tr>
    <tr><td class="paramname">1</td><td>The specified GPIO pin generate an interrupt</td></tr>
  </table>
  </dd>
</dl>
<p>Get the interrupt status of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00284">284</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="gacce6e14f1bc0290d3869489b85c762aa" name="gacce6e14f1bc0290d3869489b85c762aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacce6e14f1bc0290d3869489b85c762aa">&#9670;&nbsp;</a></span>GPIO_SET_DEBOUNCE_TIME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_SET_DEBOUNCE_TIME</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ClkSrc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ClkSel&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1037b18e2d226fe7d327d4a6f17a21c1">GPIO</a>-&gt;DBNCECON = (<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8a75e3d587ac331eb25a4194a429c9a9">GP_DBNCECON_DBCLK_ON_Msk</a> | u32ClkSrc | u32ClkSel))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set De-bounce Sampling Cycle Time. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ClkSrc</td><td>The de-bounce counter clock source. It could be <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga33675784dd079fff59e3cb347dc83037">GPIO_DBCLKSRC_HCLK</a> or <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga03bdb432a828aea9535633939bcf04be">GPIO_DBCLKSRC_IRC10K</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ClkSel</td><td>The de-bounce sampling cycle selection. It could be <br  />
 <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e121b97aaee3cc7a65efcc2521ea325">GPIO_DBCLKSEL_1</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga098a478a2c37790a203a405ed8426e75">GPIO_DBCLKSEL_2</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4ddb4385e4f96d8e25526a0d87c8089c">GPIO_DBCLKSEL_4</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga711a515e412b29842102f92cde19d94c">GPIO_DBCLKSEL_8</a>, <br  />
 <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacd7671144fc34450e85f317c52f6993d">GPIO_DBCLKSEL_16</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0168eccb4c405b5d5f20f8e3efc21d5b">GPIO_DBCLKSEL_32</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4824e5775aefdd8f0e57c4e5e7fb2986">GPIO_DBCLKSEL_64</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga332eb289f0f94210c7f9b689eba36809">GPIO_DBCLKSEL_128</a>, <br  />
 <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga73660dd62f922cc909a9d4efede39da7">GPIO_DBCLKSEL_256</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ba25c94f4ca1ea6c256bbb909cf0a75">GPIO_DBCLKSEL_512</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga01836f43502a1720cf07261d785fdad0">GPIO_DBCLKSEL_1024</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5af912aa8bd7c2079bcf31c084f4ef64">GPIO_DBCLKSEL_2048</a>, <br  />
 <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6f763df761bf8ee65579e378f9984368">GPIO_DBCLKSEL_4096</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad28f5514087a892c851b881c7d6835f3">GPIO_DBCLKSEL_8192</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1411da38c1c752e786e40b0844d4647">GPIO_DBCLKSEL_16384</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10c65de53e7a19ab7874fe7041610514">GPIO_DBCLKSEL_32768</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Set the interrupt de-bounce sampling cycle time based on the debounce counter clock source. <br  />
 Example: <a class="el" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacce6e14f1bc0290d3869489b85c762aa">GPIO_SET_DEBOUNCE_TIME</a>(<a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga03bdb432a828aea9535633939bcf04be">GPIO_DBCLKSRC_IRC10K</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4ddb4385e4f96d8e25526a0d87c8089c">GPIO_DBCLKSEL_4</a>) <br  />
 It's meaning the De-debounce counter clock source is internal 10 KHz and sampling cycle selection is 4. <br  />
 Then the target de-bounce sampling cycle time is (2^4)*(1/(10*1000)) s = 16*0.0001 s = 1600 us, and system will sampling interrupt input once per 1600 us. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00304">304</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga965ebd6cde409110aa9e1652ce12e78c" name="ga965ebd6cde409110aa9e1652ce12e78c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga965ebd6cde409110aa9e1652ce12e78c">&#9670;&nbsp;</a></span>GPIO_SET_OUT_DATA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_SET_OUT_DATA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Data&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DOUT = (u32Data))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set GPIO Port OUT Data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Data</td><td>GPIO port data</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<p>Set the Data into specified GPIO port. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00327">327</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga21894d4e8915c4972879d998965e3f35" name="ga21894d4e8915c4972879d998965e3f35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga21894d4e8915c4972879d998965e3f35">&#9670;&nbsp;</a></span>GPIO_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_TOGGLE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Pin</td><td>)</td>
          <td>&#160;&#160;&#160;((u32Pin) ^= 1)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Toggle Specified GPIO pin. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>Pxy</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<p>Toggle the specified GPIO pint. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d7c/gpio_8h_source.html#l00362">362</a> of file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga675532237c47dd6f69f325e27fd2e7e0" name="ga675532237c47dd6f69f325e27fd2e7e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga675532237c47dd6f69f325e27fd2e7e0">&#9670;&nbsp;</a></span>GPIO_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_DisableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *&#160;</td>
          <td class="paramname"><em>gpio</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Pin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable GPIO interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. It could be 0 ~ 15.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/da0/gpio_8c_source.html#l00082">82</a> of file <a class="el" href="../../d8/da0/gpio_8c_source.html">gpio.c</a>.</p>

</div>
</div>
<a id="gaec751ab5c00bcad980d782816df53cbd" name="gaec751ab5c00bcad980d782816df53cbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaec751ab5c00bcad980d782816df53cbd">&#9670;&nbsp;</a></span>GPIO_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_EnableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *&#160;</td>
          <td class="paramname"><em>gpio</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Pin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32IntAttribs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable GPIO interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. It could be 0 ~ 15. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32IntAttribs</td><td>The interrupt attribute of specified GPIO pin. It could be <br  />
 <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5791d8505fbdc44f396d3fc28b6e4da">GPIO_INT_RISING</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d98bc44ec5133557802867a115d7072">GPIO_INT_FALLING</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5ffe006072684a30050871e0f4fb5e6">GPIO_INT_BOTH_EDGE</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80cfa2205ca60d3427bed52f9f43975">GPIO_INT_HIGH</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c01afe7764ed035acb9aab07add5f5a">GPIO_INT_LOW</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/da0/gpio_8c_source.html#l00065">65</a> of file <a class="el" href="../../d8/da0/gpio_8c_source.html">gpio.c</a>.</p>

</div>
</div>
<a id="gaa2d25bd7fd805f81e465e5f2f0f43123" name="gaa2d25bd7fd805f81e465e5f2f0f43123"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa2d25bd7fd805f81e465e5f2f0f43123">&#9670;&nbsp;</a></span>GPIO_SetMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_SetMode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *&#160;</td>
          <td class="paramname"><em>gpio</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32PinMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set GPIO operation mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga74cb3af6041b109c53743b600ebbcf4c">PA</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga2a06f3773d46878dc58f8dadd6fd0d72">PB</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga600721f0222b857dc8a3ae59e5077347">PC</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga960c2f6c3fca885af2c1ea2b88dee7b7">PD</a>, <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga211238ffe3627f42ca7b04bc96cc8fa6">PE</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaa0e278c26c25558741febfadd7216caa">PF</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mode</td><td>Operation mode. <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d91458a02db1f2b71122aee8b4da690">GPIO_PMD_INPUT</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga903d206776eed930eb08a97bfde30f21">GPIO_PMD_OUTPUT</a>, <a class="el" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga17b71982106eb55ac53e679545791475">GPIO_PMD_OPEN_DRAIN</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to set specified GPIO operation mode. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/da0/gpio_8c_source.html#l00040">40</a> of file <a class="el" href="../../d8/da0/gpio_8c_source.html">gpio.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
